﻿@using System.Security.Claims
@{
    ViewData["footer-bg"] = "bg-white";
    bool IsEmptyLayout = Convert.ToBoolean(ViewBag.EmptyLayout);
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var bodyClass = !IsEmptyLayout ? "aside-enabled aside-fixed" : "";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <partial name="_HeadImport" />
</head>
<body id="kt_body" class="header-fixed header-mobile-fixed subheader-enabled subheader-fixed topbar-mobile-on @bodyClass">
    <div id="kt_header_mobile" class="header-mobile align-items-center header-mobile-fixed">
        <img alt="Logo" src="~/images/brand_logo.png" height="30">
        <div class="d-flex align-items-center">
            <button class="btn p-0 burger-icon burger-icon-left" id="kt_aside_mobile_toggle">
                <span></span>
            </button>
            <div class="topbar-item ml-2">
                @(await Component.InvokeAsync("TopBarMobileUserToggle"))
            </div>
        </div>
    </div>
    <div class="d-flex flex-column flex-root">
        <div class="progress d-none" id="scrollbar-progress-container">
            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
        </div>
        <div class="d-flex flex-row flex-column-fluid page">
            @if (!IsEmptyLayout)
            {
                @(await Component.InvokeAsync("AdminLeftNav"))
            }
            <div class="d-flex flex-column flex-row-fluid wrapper" id="kt_wrapper">
                @(await Component.InvokeAsync("AdviserTopBar"))
                <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
                    @RenderBody()
                </div>
                <partial name="_Footer" />
            </div>
        </div>
    </div>
    <partial name="_ArcUploadModal" />
    @(await Component.InvokeAsync("AdviserRightPanel"))
    <div id="kt_scrolltop" class="scrolltop">
        <span class="svg-icon">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <polygon points="0 0 24 0 24 24 0 24" />
                    <rect fill="#000000" opacity="0.3" x="11" y="10" width="2" height="10" rx="1" />
                    <path d="M6.70710678,12.7071068 C6.31658249,13.0976311 5.68341751,13.0976311 5.29289322,12.7071068 C4.90236893,12.3165825 4.90236893,11.6834175 5.29289322,11.2928932 L11.2928932,5.29289322 C11.6714722,4.91431428 12.2810586,4.90106866 12.6757246,5.26284586 L18.6757246,10.7628459 C19.0828436,11.1360383 19.1103465,11.7686056 18.7371541,12.1757246 C18.3639617,12.5828436 17.7313944,12.6103465 17.3242754,12.2371541 L12.0300757,7.38413782 L6.70710678,12.7071068 Z" fill="#000000" fill-rule="nonzero" />
                </g>
            </svg>
        </span>
    </div>
    @await Html.PartialAsync("_GlobalScriptImport")
    <script src="~/js/admin-portal.js" asp-append-version="true"></script>
    <script src="~/lib/validation-bundle.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
    <partial name="_RiskArcVersionModal" />
</body>
</html>